CC  = clang
LINKER = $(CC)

ANSI_CFLAGS  = -ansi
ANSI_CFLAGS += -std=c11
ANSI_CFLAGS += -pedantic
ANSI_CFLAGS += -Wextra

CFLAGS   = -O3 -Wno-format -Wall -Werror $(ANSI_CFLAGS) -fopenmp -march=native
# More warning pls
#CFLAGS   += -Wfloat-equal -Wundef -Wshadow -Wpointer-arith -Wcast-align  -Wstrict-overflow=5 -Wwrite-strings -Waggregate-return
# Maybe too much warnings
#CFLAGS   += -Wcast-qual -Wswitch-default -Wconversion -Wunreachable-code
# Specific C flags
CFLAGS   := $(CFLAGS) -Wstrict-prototypes -Wno-error=strict-prototypes
LFLAGS   = -fopenmp=libomp
DEFINES  = -D_GNU_SOURCE -DNDEBUG
INCLUDES =
LIBS     =
